Package ru.yandex.clickhouse

## Class ClickHouseStatementImpl.WrappedHttpEntity

- java.lang.Object
- - org.apache.http.entity.AbstractHttpEntity
  - - ru.yandex.clickhouse.ClickHouseStatementImpl.WrappedHttpEntity

All Implemented Interfaces:
  `org.apache.http.HttpEntity`

Enclosing class:
  ClickHouseStatementImpl

    protected static class ClickHouseStatementImpl.WrappedHttpEntity
    extends org.apache.http.entity.AbstractHttpEntity

### Field Summary

### Fields inherited from class org.apache.http.entity.AbstractHttpEntity

`chunked, contentEncoding, contentType, OUTPUT_BUFFER_SIZE`

### Constructor Summary

Constructors
`WrappedHttpEntity​(String sql, org.apache.http.HttpEntity entity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `getContent()`
`long` `getContentLength()`
`boolean` `isRepeatable()`
`boolean` `isStreaming()`
`void` `writeTo​(OutputStream outputStream)`

### Methods inherited from class org.apache.http.entity.AbstractHttpEntity

`consumeContent, getContentEncoding, getContentType, isChunked, setChunked, setContentEncoding, setContentEncoding, setContentType, setContentType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WrappedHttpEntity

    public WrappedHttpEntity​(String sql,
                             org.apache.http.HttpEntity entity)

### Method Detail

#### isRepeatable

    public boolean isRepeatable()

#### getContentLength

    public long getContentLength()

#### getContent

    public InputStream getContent()
                           throws IOException,
                                  IllegalStateException

Throws:
  `IOException`
  `IllegalStateException`

#### writeTo

    public void writeTo​(OutputStream outputStream)
                 throws IOException

Throws:
  `IOException`

#### isStreaming

    public boolean isStreaming()